
%define plugin	amarok
%define name	vdr-plugin-%plugin
%define version	0.0.2
%define rel	12

Summary:	VDR plugin: A frontend for KDE's amarok
Name:		%name
Version:	%version
Release:	%mkrel %rel
Group:		Video
License:	GPL
URL:		http://irimi.ir.ohost.de/
Source:		http://irimi.ir.ohost.de/vdr-%plugin-%version.tar.bz2
Patch0:		amarok-0.0.2-i18n-1.6.patch
Patch1:		vdr-amarok-includes.patch
Patch2:		vdr-amarok-format-string.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	vdr-devel >= 1.6.0
Requires:	vdr-abi = %vdr_abi

%description
A frontend vdr plugin for KDE's amaroK.

You also need vdramgw running on the same host as amaroK. It is
packaged in a separate package

%package -n vdramgw
Summary:	VDR amaroK gateway
Group:		Video
%description -n vdramgw
Gateway for the VDR amarok plugin.

%prep
%setup -q -n %plugin-%version
%patch0 -p1
%patch1 -p1
%patch2 -p1
%vdr_plugin_prep
chmod 0644 README HISTORY vdramgw/README vdramgw/HISTORY
chmod 0644 vdramgw/vdramgw.conf contrib/jpeg2vdrmpg.sh

%build
%vdr_plugin_build

cd vdramgw
%make CFLAGS="%optflags" CXXFLAGS="%optflags"

%install
rm -rf %{buildroot}
%vdr_plugin_install

install -d -m755 %{buildroot}%{_vdr_plugin_cfgdir}/%{plugin}
install -m644 contrib/*.mpg %{buildroot}%{_vdr_plugin_cfgdir}/%{plugin}

install -d -m755 %{buildroot}%{_bindir}
install -m755 vdramgw/vdramgw %{buildroot}%{_bindir}

%clean
rm -rf %{buildroot}

%post
%vdr_plugin_post %plugin

%postun
%vdr_plugin_postun %plugin

%files -f %plugin.vdr
%defattr(-,root,root)
%doc README HISTORY contrib/jpeg2vdrmpg.sh
%dir %{_vdr_plugin_cfgdir}/%{plugin}
%config(noreplace) %{_vdr_plugin_cfgdir}/%{plugin}/amarokmain.mpg

%files -n vdramgw
%defattr(-,root,root)
%doc vdramgw/README vdramgw/HISTORY vdramgw/vdramgw.conf
%{_bindir}/vdramgw




%changelog
* Tue Jul 28 2009 Anssi Hannula <anssi@mandriva.org> 0.0.2-11mdv2010.0
+ Revision: 401088
- rebuild for new VDR
- fix another missing include (update includes.patch)

* Sat Mar 21 2009 Anssi Hannula <anssi@mandriva.org> 0.0.2-10mdv2009.1
+ Revision: 359814
- fix format strings (format-string.patch)
- fix includes (amarok-includes.patch)
- rebuild for new vdr

* Mon Apr 28 2008 Anssi Hannula <anssi@mandriva.org> 0.0.2-9mdv2009.0
+ Revision: 197892
- rebuild for new vdr

* Sat Apr 26 2008 Anssi Hannula <anssi@mandriva.org> 0.0.2-8mdv2009.0
+ Revision: 197624
- add vdr_plugin_prep
- bump buildrequires on vdr-devel
- adapt to gettext i18n of VDR 1.6 (semi-automatic patch)

* Fri Jan 04 2008 Anssi Hannula <anssi@mandriva.org> 0.0.2-7mdv2008.1
+ Revision: 145009
- rebuild for new vdr

* Fri Jan 04 2008 Anssi Hannula <anssi@mandriva.org> 0.0.2-6mdv2008.1
+ Revision: 144967
- rebuild for new vdr

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 29 2007 Anssi Hannula <anssi@mandriva.org> 0.0.2-5mdv2008.1
+ Revision: 103053
- rebuild for new vdr

* Sun Jul 08 2007 Anssi Hannula <anssi@mandriva.org> 0.0.2-4mdv2008.0
+ Revision: 49962
- rebuild for new vdr

* Thu Jun 21 2007 Anssi Hannula <anssi@mandriva.org> 0.0.2-3mdv2008.0
+ Revision: 42049
- rebuild for new vdr

* Sat May 05 2007 Anssi Hannula <anssi@mandriva.org> 0.0.2-2mdv2008.0
+ Revision: 22687
- rebuild for new vdr

* Fri Apr 20 2007 Anssi Hannula <anssi@mandriva.org> 0.0.2-1mdv
+ Revision: 16309
- 0.0.2


* Tue Dec 05 2006 Anssi Hannula <anssi@mandriva.org> 0.0.1c-2mdv2007.0
+ Revision: 90884
- rebuild for new vdr

* Fri Nov 03 2006 Anssi Hannula <anssi@mandriva.org> 0.0.1c-1mdv2007.1
+ Revision: 76337
- 0.0.1c
- drop patch1, fixed upstream
- rebuild for new vdr
- Import vdr-plugin-amarok

* Thu Sep 07 2006 Anssi Hannula <anssi@mandriva.org> 0.0.1b-5mdv2007.0
- rebuild for new vdr

* Thu Aug 24 2006 Anssi Hannula <anssi@mandriva.org> 0.0.1b-4mdv2007.0
- stricter abi requires

* Mon Aug 07 2006 Anssi Hannula <anssi@mandriva.org> 0.0.1b-3mdv2007.0
- rebuild for new vdr

* Wed Jul 26 2006 Anssi Hannula <anssi@mandriva.org> 0.0.1b-2mdv2007.0
- rebuild for new vdr

* Wed Jun 21 2006 Anssi Hannula <anssi@mandriva.org> 0.0.1b-1mdv2007.0
- initial Mandriva release

